{pkgs ? import <nixpkgs> {}}: let
  elmInputs = [
    pkgs.elmPackages.elm
    pkgs.elmPackages.elm-format
    pkgs.esbuild
  ];
  haskellInputs = [
    pkgs.stack
  ];
  buildTools = [
    pkgs.just
  ];
  cliTools = [
    pkgs.httpie
    pkgs.ungoogled-chromium
  ];
in
  pkgs.mkShell {
    buildInputs = [
      elmInputs
      haskellInputs
    ];
    packages = [
      buildTools
      cliTools
    ];
  }
